tstride=1;

for tt=1:tstride:length(t_4),
  plot(x_4,totaldensity_4(tt,:),'k')
  hold on
  plot(x_4,density_if_up_4(tt,:),'r--')
  plot(x_4,density_if_down_4(tt,:),'b:')
  hold off
  xlabel(['x/\sigma'])
  ylabel(['n'])
  xlim([x_4(1) x_4(end)])
  ylim([0 0.6])
  legend(['tot'],['if |\uparrow\rangle'],['if |\uparrow\rangle'])
  title(['densities at t=',num2str(t_4(tt))])


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

dump = input(['press ENTER to advance slideshow'])

end