subplot(1,2,1)
plot(t_2,pop_up_1)
xlabel(['t'])
ylabel(['p_n'])
legend(['|0\rangle'],['|1\rangle'],['|2\rangle'],['|3\rangle'],['|4\rangle'],['...'])
xlim([t_2(1) t_2(end)])
title(['Populations in |\uparrow\rangle'])

subplot(1,2,2)
plot(t_3,pop_down_1)
xlabel(['t'])
ylabel(['p_n'])
xlim([t_2(1) t_2(end)])
legend(['|0\rangle'],['|1\rangle'],['|2\rangle'],['|3\rangle'],['|4\rangle'],['...'])
title(['Populations in |\downarrow\rangle'])


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
