
plot(t_2,normup_2,'k')
hold on
plot(t_2,normdown_2,'r--')
hold off
legend(['p_\uparrow'],['p_\downarrow'])
xlabel(['t'])
ylabel(['n'])
xlim([t_2(1) t_2(end)])
title(['spin state oscillations'])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

